# Uses of Class
it.tdlight.jni.TdApi.NewChatPrivacySettings

## Uses of TdApi.NewChatPrivacySettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.NewChatPrivacySettings
Modifier and Type
Field
Description
`TdApi.NewChatPrivacySettings`
TdApi.SetNewChatPrivacySettings.`settings`
New settings.
Constructors in it.tdlight.jni with parameters of type TdApi.NewChatPrivacySettings
Modifier
Constructor
Description
``
`SetNewChatPrivacySettings(TdApi.NewChatPrivacySettings settings)`
Changes privacy settings for new chat creation; for Telegram Premium users only.